Up

# OpenStep Compliance

### Authors

Adam Fedor

Copyright: (C) 2005 Free Software Foundation, Inc.

# Classes

This file documents the compliance of all the classes in the GNUstep Gui library. Note that the following is just a best guess as to the compliance of the classes. Each class was checked to make sure it implemented all the documented OpenStep methods and functions. In addition, extensive testing has been performed on the GNUstep Gui Library, and it is believed, to the best of our knowledge, that it operates according to the OpenStep specification, with the caveat that there are always bugs in any implementation and there are most likely bugs in the current implementation that we are not aware of.

The following classes conform to the OpenStep specification:

- NSActionCell
- NSBox
- NSBrowser
- NSBrowserCell
- NSBundleAdditions
- NSButton
- NSButtonCell
- NSCachedImageRep
- NSClipView
- NSColor
- NSColorList
- NSColorPanel
- NSColorPicker
- NSColorWell
- NSControl
- NSCursor
- NSCustomImageRep
- NSEvent
- NSFont
- NSFontManager
- NSFontPanel
- NSForm
- NSFormCell
- NSImage
- NSImageRep
- NSMenu
- NSOpenPanel
- NSPanel
- NSPasteboard
- NSPopUpButton
- NSPrintInfo
- NSPrintOperation
- NSResponder
- NSScreen
- NSScroller
- NSSelection
- NSSlider
- NSSliderCell
- NSSpellChecker
- NSSpellServer
- NSSplitView
- NSText
- NSTextField
- NSTextFieldCell
- NSView
- All Protocols

The following classes are only partially implemented

NSApplication
  -preventWindowOrdering not implemented. In -activateIgnoringOtherApps:, the flag is ignored.
NSBitmapImageRep
  +TIFFRepresentationOfImageRepsInArray:usingCompression:factor: not fully implemented.
NSCell
  -setFloatingPointFormat:left:right: not implemented. -setEntryType: not complete.
NSDataLinkManager
  Missing noteDocumentSaved... methods.
NSDataLinkPanel
  -setAccessoryView: not implemented.
NSEPSImageRep
  Cannot interpret/draw EPS images
NSMatrix
  -setValidateSize: not implemented
NSPageLayout
  -setAccessoryView: not implemented. Several methods have been depreciated because they don't do anything useful.
NSPrintPanel
  -setAccessoryView: not implemented. Several methods have been depreciated because they don't do anything useful.
NSPrinter
  Doesn't really get all the information it needs correctly.
NSSavePanel
  NSCoding protocol not implemented.
NSScrollView
  -toggleRuler: and -isRulerVisible: not implemented. (Replaced by similar methods).
NSWindow
  -resizeFlags not implemented.
NSWorkspace
  Many methods require a proper window and workspace manager application to be used.
Functions
  Following are not implemented: NSReadPixel, all text functions.

The following OpenStep classes are not implemented. These classes are either not very useful or have been replaced by classes with better APIs.

- NSCStringText (Unecessary NEXTSTEP compatibility)
- NSCoderAdditions (Unecessary NEXTSTEP compatibility)
- NSHelpPanel (Replaced by NSHelpManager)
- NSMenuCell (Replaced by NSMenuItem[Cell])

Up